Skip to main content
POST
/
v1
/
services
/
walletmanagement
/
walletledgerbyclient
/
{startDate}
/
{endDate}
/
{currency}
Generating Wallet Account Statement
curl --request POST \
  --url https://api.stag.songhaiexchange.io/v1/services/walletmanagement/walletledgerbyclient/{startDate}/{endDate}/{currency}/ \
  --header 'Authorization: <authorization>'
[
  {
    "executionDate": "<string>",
    "newBalance": 123,
    "currencyCode": "<string>",
    "paymentRef": "<string>",
    "accountHolder": "<string>",
    "ledgerType": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer token

Path Parameters

startDate
string
required
endDate
string
required
currency
string
required

Response

200 - application/json

Statement Generated

executionDate
string
newBalance
number
currencyCode
string
paymentRef
string
accountHolder
string
ledgerType
string